using System;
using System.Collections;
using System.Collections.Generic;
using BITKit;
using Unity.Mathematics;
using System.IO;

namespace BITFALL
{
    public record BulletData
    {
        public int Token;
        public int Initiator;
        public int ScriptableId;
        public float3 Position;
        public quaternion Rotation;
        public float3 Forward;
        public float CreateTime;
        public int InitialForce;
        public int StartSpeed;
        public int MaxDamage;
        public int InitialDamage;
        public int AddressId;
    }
}