using System.Collections;
using System.Collections.Generic;

namespace Project.B.Skin
{
    public interface IPlayerSkinSocket{}
    /// <summary>
    /// 玩家武器皮肤
    /// </summary>
    public struct PlayerSkinWeaponSocket : IPlayerSkinSocket{}
    /// <summary>
    /// 玩家角色皮肤
    /// </summary>
    public struct PlayerOperatorSkinSocket : IPlayerSkinSocket{}
    /// <summary>
    /// 玩家已装备皮肤数据
    /// </summary>
    public interface IPlayerReplacedSkinData:IReadOnlyDictionary<IPlayerSkinSocket,IPlayerSkinData[]>
    {
        
    }
    /// <summary>
    /// 玩家皮肤数据
    /// </summary>
    public interface IPlayerSkinData
    {
        public int Id { get; }
        public int ConfigId { get; }
    }
}
