using System;
using System.Collections;
using System.Collections.Generic;
using BITKit.WorldNode;
#if UNITY_5_3_OR_NEWER
using UnityEngine;
#endif


namespace Net.Project.B.WorldNode
{
    [Serializable]
    public class UnityElevatorNode : IWorldNode
    {
#if UNITY_5_3_OR_NEWER
        [SerializeField] private GameObject[] floors;
        [SerializeField] private GameObject[] floorButtons;
        [SerializeField] private Rigidbody platform;
        [SerializeField] private GameObject elevatorButton;
        public Rigidbody Platform => platform;
        public GameObject[] Floors => floors;
        public GameObject[] FloorButtons => floorButtons;
        public GameObject ElevatorButton => elevatorButton;
#endif
    }

}
