using System;
using System.Collections;
using System.Collections.Generic;
using BITKit.WorldNode;
#if UNITY_5_3_OR_NEWER
using UnityEngine;
using UnityEngine.Experimental.GlobalIllumination;
#endif

namespace Net.Project.B.WorldNode
{
    [Serializable]
    public class UnitySeatNode :IWorldNode
    {
        public int Id { get; set; }
        public bool hidePlayer;
#if UNITY_5_3_OR_NEWER
        public float cameraDistance= 2;
        public Rigidbody Rigidbody;
        public Transform SeatObject;
        public Transform CameraObject;
        public Transform ExitObject;

        public float CameraDistance => cameraDistance;
        public bool HidePlayer => hidePlayer;
#endif
    }
}
